ros-iron-gazebo-ros2-control-demos (0.6.7-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 01 Jul 2024 22:00:00 -0000

ros-iron-gazebo-ros2-control-demos (0.6.6-1jammy) jammy; urgency=high

  * Change initial pose of pendulum (#313 <https://github.com/ros-controls/gazebo_ros2_control//issues/313>) (#316 <https://github.com/ros-controls/gazebo_ros2_control//issues/316>)
    (cherry picked from commit 40ee42da16af9f1bc78886dbaec8082fd3fdea26)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Add PID controller to control joint using effort (#294 <https://github.com/ros-controls/gazebo_ros2_control//issues/294>) (#311 <https://github.com/ros-controls/gazebo_ros2_control//issues/311>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
    (cherry picked from commit f769c6c1684eb2ccb3e4988ad4611b32b4beabf6)
    Co-authored-by: chameau5050 <mailto:54971185+chameau5050@users.noreply.github.com>
  * Add an example with a passive joint (backport #172 <https://github.com/ros-controls/gazebo_ros2_control//issues/172>) (#307 <https://github.com/ros-controls/gazebo_ros2_control//issues/307>)
    * Add an example with a passive joint (#172 <https://github.com/ros-controls/gazebo_ros2_control//issues/172>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit 7d5ec5dbad710d628bc14a82195c196f088621b8)
    # Conflicts:
    #     doc/index.rst
    * Fixed docs
    ---------
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 13 May 2024 22:00:00 -0000

ros-iron-gazebo-ros2-control-demos (0.6.5-1jammy) jammy; urgency=high

  * Cleanup of demos (#290 <https://github.com/ros-controls/gazebo_ros2_control/issues/290>) (#293 <https://github.com/ros-controls/gazebo_ros2_control/issues/293>)
    (cherry picked from commit 03b853b5337f6b8e9b8d4c0c8a3d814d7f34a97c)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 20 Mar 2024 23:00:00 -0000

ros-iron-gazebo-ros2-control-demos (0.6.4-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Tue, 23 Jan 2024 23:00:00 -0000

ros-iron-gazebo-ros2-control-demos (0.6.3-1jammy) jammy; urgency=high

  * Rename cartpole (#252 <https://github.com/ros-controls/gazebo_ros2_control/issues/252>) (#253 <https://github.com/ros-controls/gazebo_ros2_control/issues/253>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit b39074a4a1adf8a9319a6d4378ac26e2aa9e298a)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Replace double quotes with single ones (#243 <https://github.com/ros-controls/gazebo_ros2_control/issues/243>)
  * Cleanup controller config (#232 <https://github.com/ros-controls/gazebo_ros2_control/issues/232>)
    * Remove wrong yaml entries
    * Rename effort_controller
  * Contributors: Christoph Fröhlich, mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 03 Jan 2024 23:00:00 -0000

ros-iron-gazebo-ros2-control-demos (0.6.2-1jammy) jammy; urgency=high

  * Set the C++ version to 17 (#221 <https://github.com/ros-controls/gazebo_ros2_control/issues/221>)
  * Update diff_drive_controller.yaml (#224 <https://github.com/ros-controls/gazebo_ros2_control/issues/224>)
    The wrong base frame is set. The name of the link in the URDF is chassis.
  * Contributors: Alejandro Hernández Cordero, David V. Lu!!

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Tue, 22 Aug 2023 22:00:00 -0000

ros-iron-gazebo-ros2-control-demos (0.6.1-1jammy) jammy; urgency=high

  * Add pre-commit and CI-format (#206 <https://github.com/ros-controls/gazebo_ros2_control/issues/206>)
    * Add pre-commit and ci-format
  * Contributors: Christoph Fröhlich

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 08 Jun 2023 22:00:00 -0000

ros-iron-gazebo-ros2-control-demos (0.6.0-1jammy) jammy; urgency=high

  * Clean shutdown position example (#196 <https://github.com/ros-controls/gazebo_ros2_control/issues/196>)
  * Remove publish_rate parameter (#179 <https://github.com/ros-controls/gazebo_ros2_control/issues/179>)
  * Contributors: Alejandro Hernández Cordero, Tony Najjar

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 22 May 2023 22:00:00 -0000

ros-iron-gazebo-ros2-control-demos (0.5.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 06 Feb 2023 23:00:00 -0000

ros-iron-gazebo-ros2-control-demos (0.5.0-1jammy) jammy; urgency=high

  * Add tricycle controller demo (#145 <https://github.com/ros-controls/gazebo_ros2_control/issues/145>)
  * Contributors: Tony Najjar

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 05 Jan 2023 23:00:00 -0000

ros-iron-gazebo-ros2-control-demos (0.4.0-1jammy) jammy; urgency=high

  * fix demo launch
  * Fix setting initial values if command interfaces are not defined. (#110 <https://github.com/ros-simulation/gazebo_ros2_control/issues/110>)
  * Contributors: Bence Magyar, Denis Štogl, Maciej Bednarczyk

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 08 Aug 2022 22:00:00 -0000

ros-iron-gazebo-ros2-control-demos (0.3.1-1jammy) jammy; urgency=high

  * Fixed CMake source file extension (#140 <https://github.com/ros-simulation/gazebo_ros2_control/issues/140>)
  * Adding simulation time parameter for the controller manager (#138 <https://github.com/ros-simulation/gazebo_ros2_control/issues/138>)
    Adding the simulation parameter so that the controller manager uses the simulation time instead of the ROS time.  The '/odom' and corresponding tf will only be published if this parameter is set to true.
  * Adjust repo URL (#134 <https://github.com/ros-simulation/gazebo_ros2_control/issues/134>)
  * Changed launch variable name (#130 <https://github.com/ros-simulation/gazebo_ros2_control/issues/130>)
  * Contributors: Alejandro Hernández Cordero, Bence Magyar, Eslam Salah, Jakub "Deli" Delicat

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 04 Jul 2022 22:00:00 -0000

ros-iron-gazebo-ros2-control-demos (0.3.0-1jammy) jammy; urgency=high

  * [Forward port main] Added diff drive example (#113 <https://github.com/ros-simulation/gazebo_ros2_control/issues/113>) (#129 <https://github.com/ros-simulation/gazebo_ros2_control/issues/129>)
  * Merge pull request #120 <https://github.com/ros-simulation/gazebo_ros2_control/issues/120> from ros-simulation/ahcorde/main/117
    Adapted to Humble
  * make linters happy
  * Update to Humble API
  * Support for mimic joints and example with gripper. (#107 <https://github.com/ros-simulation/gazebo_ros2_control/issues/107>)
  * Contributors: Alejandro Hernández Cordero, Denis Štogl, ahcorde

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 26 May 2022 22:00:00 -0000

ros-iron-gazebo-ros2-control-demos (0.0.8-1jammy) jammy; urgency=high

  * Enable setting default position of the simulated robot using ros2_control URDF tag. (#100 <https://github.com/ros-simulation/gazebo_ros2_control//issues/100>)
  * Contributors: Denis Štogl

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 27 Jan 2022 23:00:00 -0000

ros-iron-gazebo-ros2-control-demos (0.0.7-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 02 Dec 2021 23:00:00 -0000

ros-iron-gazebo-ros2-control-demos (0.0.6-1jammy) jammy; urgency=high

  * Fix ros2_control resource manager in galatic (#96 <https://github.com/ros-simulation/gazebo_ros2_control//issues/96>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 17 Nov 2021 23:00:00 -0000

ros-iron-gazebo-ros2-control-demos (0.0.4-1jammy) jammy; urgency=high

  * fix maintainer email (#92 <https://github.com/ros-simulation/gazebo_ros2_control//issues/92>)
  * Galactic: Pass time and period to update function (#88 <https://github.com/ros-simulation/gazebo_ros2_control//issues/88>)
  * Update severity of msgs to proper level (#91 <https://github.com/ros-simulation/gazebo_ros2_control//issues/91>)
  * Add Imu and FT state interfaces (#65 <https://github.com/ros-simulation/gazebo_ros2_control//issues/65>)
    Co-authored-by: Jordan Palacios <mailto:jordan.palacios@pal-robotics.com>
  * Contributors: Alejandro Hernández Cordero, Andy McEvoy, Bence Magyar, Victor Lopez

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 25 Oct 2021 22:00:00 -0000

ros-iron-gazebo-ros2-control-demos (0.0.3-1jammy) jammy; urgency=high

  * Update code with recent change in ros2_control (#81 <https://github.com/ros-simulation/gazebo_ros2_control/issues/81>)
  * Adding ros2_control dependency to demos (#74 <https://github.com/ros-simulation/gazebo_ros2_control/issues/74>) (#76 <https://github.com/ros-simulation/gazebo_ros2_control/issues/76>)
  * Contributors: Alejandro Hernández Cordero, Ron Marrero

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Tue, 15 Jun 2021 22:00:00 -0000

ros-iron-gazebo-ros2-control-demos (0.0.2-1jammy) jammy; urgency=high

  * Remove Unnecessary parameter in demo (#68 <https://github.com/ros-simulation/gazebo_ros2_control//issues/68>)
  * Add effort_controller exec_depend on demos (#69 <https://github.com/ros-simulation/gazebo_ros2_control//issues/69>)
  * add ros parameters file to node context (#60 <https://github.com/ros-simulation/gazebo_ros2_control//issues/60>)
    Co-authored-by: ahcorde <mailto:ahcorde@gmail.com>
  * add ros2_controllers as exec dependency (#56 <https://github.com/ros-simulation/gazebo_ros2_control//issues/56>)
    fixes #49 <https://github.com/ros-simulation/gazebo_ros2_control//issues/49>
  * Contributors: Alejandro Hernández Cordero, Karsten Knese

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Sun, 18 Apr 2021 22:00:00 -0000

ros-iron-gazebo-ros2-control-demos (0.0.1-1jammy) jammy; urgency=high

  * Updated with ros2-control Foxy API (#44 <https://github.com/ros-simulation/gazebo_ros2_control/issues/44>)
    Co-authored-by: Karsten Knese <mailto:Karsten1987@users.noreply.github.com>
  * Updated with recent ros2_control changes (#34 <https://github.com/ros-simulation/gazebo_ros2_control/issues/34>)
  * Added initial demos in gazebo_ros2_control_demos (#2 <https://github.com/ros-simulation/gazebo_ros2_control/issues/2>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: Alejandro Hernández Cordero, Louise Poubel, Karsten Knese, Bence Magyar

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 04 Feb 2021 23:00:00 -0000


